Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.addon.conversion.office2pdf.Excel2PDFConfig Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| Excel2PDFConfig ()
| Constructor.
| Excel2PDFConfig (bool is_separate_workbook, bool is_output_hidden_worksheets, WStringArray worksheet_names)
| Constructor, with parameters. More...
void | Set (bool is_separate_workbook, bool is_output_hidden_worksheets, WStringArray worksheet_names)
| Set value. More...

## Properties
bool | is_output_hidden_worksheets`[get, set]`
| A boolean value which indicates whether to output the hidden worksheets. More...
bool | is_separate_workbook`[get, set]`
| A boolean value which indicates whether to export worksheets to separate PDF files. More...
WStringArray? | worksheet_names`[get, set]`
| An array of specific worksheet names to be converted to PDF files. More...

## Detailed Description

This class represents setting data used for converting Excel format files to PDF format files.

## Constructor & Destructor Documentation

## ◆ Excel2PDFConfig()

foxit.addon.conversion.office2pdf.Excel2PDFConfig.Excel2PDFConfig | ( | bool | is_separate_workbook,
|  | bool | is_output_hidden_worksheets,
|  | WStringArray | worksheet_names
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

## Member Function Documentation

## ◆ Set()

void foxit.addon.conversion.office2pdf.Excel2PDFConfig.Set | ( | bool | is_separate_workbook,
|  | bool | is_output_hidden_worksheets,
|  | WStringArray | worksheet_names
| ) |  |
| inline

Set value.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

Returns
  None.

## Property Documentation

## ◆ is_output_hidden_worksheets

bool foxit.addon.conversion.office2pdf.Excel2PDFConfig.is_output_hidden_worksheets
| get set

A boolean value which indicates whether to output the hidden worksheets.

true means to output the hidden worksheets, while false means not.

## ◆ is_separate_workbook

bool foxit.addon.conversion.office2pdf.Excel2PDFConfig.is_separate_workbook
| get set

A boolean value which indicates whether to export worksheets to separate PDF files.

true means to export each worksheet to separate PDF files, while false means not.

## ◆ worksheet_names

WStringArray foxit.addon.conversion.office2pdf.Excel2PDFConfig.worksheet_names
| get set

An array of specific worksheet names to be converted to PDF files.

If this array is empty, all worksheets will be converted to PDF files.